Download it now!
Bug 116880 - DUPLICATE dialog - change default keyboard shortcut from <Shift>+F3 to <Ctrl>+D
Summary: DUPLICATE dialog - change default keyboard shortcut from <Shift>+F3 to <Ctrl>+D
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.4.5.1 release
Hardware: All Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2018-04-08 10:32 UTC by sketch.draw@gmail.com
Modified: 2018-04-10 07:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sketch.draw@gmail.com 2018-04-08 10:32:19 UTC
Dear Libreoffice community,

I just installed the latest version 5.4.5.1 and very happy with it. As a professional designer for almost two decades, I was surprised to see the default Duplicate keyboard shortcut command is SHIFT+F3. 

Kindly I propose this to be changed in default to CTRL+D. 

Reasons and use cases :

1) The industry wide shortcut is CTRL+D. From Illustrator, to Inkscape to many other similar softwares, this is what you expect. Please note Duplicate is not the same as COPY+PASTE, and in fact the DRAW implementation is quite perfect!

2) Concerning interface design. The so-called "posture" of SHIFT+F3 is secondary, not primary. What I mean by this is that SHIFT+F3 would be more apt for commands that aren't as frequently used. Control+D is more useful to a intermediate and advanced user. Source : About Face: The Essentials of User Interface Design by Alan Cooper.

Thank you for time and consideration.

Patrick
Comment 1 Xisco Faulí 2018-04-09 20:40:04 UTC
You can't confirm your own bugs. Moving it back to UNCONFIRMED until someone
else confirms it.
Comment 2 Xisco Faulí 2018-04-09 20:40:29 UTC
Adding the Desing team to decide...
Comment 3 V Stuart Foote 2018-04-10 00:03:18 UTC
Shift+F3 to launch the Duplicate dialog is the legacy control for StarOffice/OOo and remains associated Shortcut on AOO, as well as on LibreOffice from inception--in other words no compelling reason to change.

If an Inkscape or Illustrator user prefers, the Ctrl+D shortcut is available to assign on the Tools -> Customize: Keyboard tab of the Draw module or the Impress module.

=> WONTFIX
Comment 4 Heiko Tietze 2018-04-10 07:31:42 UTC
You can easily customize the shortcuts yourself.

See also bug 100028; the current duplication feature is more powerful than usual ctrl+D functions.